Summary: An Internet Relay Chat (IRC) client.
Name: ircii
Version: 4.4M
Release: 0.5.2
Copyright: distributable
Group: Applications/Internet
URL: http://www.eterna.com.au/ircii/
Source0: ftp://ircftp.au.eterna.com.au/pub/ircII/ircii-%{version}.tar.gz
Source1: ftp://ircftp.au.eterna.com.au/pub/ircII/ircii-current/ircii/doc/Copyright
Source2: http://www.cs.helsinki.fi/u/mjrauhal/linux/cola.archive/1998-06/mjr.1998-06-15.044
Source3: gnome-irc.png
Source4: ircii.wmconfig
Patch0: ircii-4.4-dumbi18n.patch
Buildroot: /var/tmp/%{name}-root
Obsoletes: ircii-help

%description
IrcII is a popular Internet Relay Chat (IRC) client.  IRC clients
communicate with IRC servers, enabling users to "chat" via the
Internet.

Install ircii if you want to participate (troll, lurk, hang out) in
chat rooms.

%prep
%setup -q
%patch0 -p1
rm doc/Copyright
cp $RPM_SOURCE_DIR/Copyright doc/
cp $RPM_SOURCE_DIR/mjr.1998-06-15.044 doc/Copyright.announcement

%build
mkdir build
cd build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ../configure --prefix=/usr --disable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

cd build
make prefix=$RPM_BUILD_ROOT/usr install
ln -sf irc-4.4M $RPM_BUILD_ROOT/usr/bin/irc

touch $RPM_BUILD_ROOT/usr/share/irc/ircII.servers
echo "irc-2.mit.edu" >> $RPM_BUILD_ROOT/usr/share/irc/ircII.servers
echo "irc-2.escape.com" >> $RPM_BUILD_ROOT/usr/share/irc/ircII.servers
echo "irc.texas.net" >> $RPM_BUILD_ROOT/usr/share/irc/ircII.servers
echo "irc.eskimo.com" >> $RPM_BUILD_ROOT/usr/share/irc/ircII.servers
chmod 644 $RPM_BUILD_ROOT/usr/share/irc/ircII.servers

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp $RPM_SOURCE_DIR/gnome-irc.png $RPM_BUILD_ROOT/usr/share/pixmaps

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/ircii.wmconfig \
 $RPM_BUILD_ROOT/etc/X11/wmconfig/ircii

strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/irc
/usr/bin/irc-4.4M
/usr/bin/ircbug
/usr/bin/ircio
/usr/bin/ircflush
/usr/bin/wserv
/usr/share/irc/script
/usr/share/irc/translation
/usr/share/irc/ircII.servers
%config /etc/X11/wmconfig/ircii
/usr/share/irc/help
%doc doc/*

%changelog
* Tue Mar 14 2000 Bill Nottingham <notting@redhat.com>
- update to 4.4M

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- updated source URL
- migrated to applnk .desktop file
- copied new retroactive Copyright to docs
- added text from new Copyright announcement as posted on c.o.l.a.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for RH 6.0

* Sun Nov 15 1998 Jeff Johnson <jbj@redhat.com>
- permit i18n when run in dumb mode (Alexander Trump <assa@assa.tlt.ru>)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- obsoletes ircii-help (donnie, don't do ever that again!)

* Wed Jun 03 1998 <djb@redhat.com>
- moved help stuff into main package

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 4.4
- changed to use a build root

* Wed Nov  5 1997 Otto Hammersmith <otto@redhat.com>
- moved wmconfig file from ircii-help file list

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- use termios, not termio

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added Erik's patch to fix file closing brokenness.

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated source urls

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

